Mailrelay API Reference

Update a RSS campaign

PATCH /rss_campaigns/{id}

Update a RSS campaign

Parameters

NameTypeDescription
id integer ID of the record
sender_id integer Sender
subject string Subject
preview_text string Preview text
html string HTML
target string Allows you to specify to whom this RSS campaign will be sent
segment_id integer Segment id. This is required if target is set to segment
group_ids array Groups IDs. This is required if target is set to groups. It should be an array of group ids. Example: [1, 4, 5]
url string The URL of the RSS feed
frequency string Frequency
number_of_entries integer Number of RSS entries that will be parsed on each run
hour integer Hour
minute integer Minute
enabled boolean Enabled
week_days array Week days
month_days array Month days
editor_type string The type of editor being used for the RSS campaign: html, mr ( our new block editor) or simple ( a legacy block editor ). RSS campaigns created in API automatically use "html" editor. Please note that it's not possible to update the html content of a campaign that uses a block editor.
url_token boolean Add legacy tokens to URLs
analytics_utm_campaign string Google Analytics™ campaign
use_premailer boolean Apply common fixes for email clients
reply_to string Reply-To email

Responses

StatusDescription
200 Success
400 The request is invalid. Check if the field names in the request and the request data is valid.
422 A validation error occurred. Check the response body for more information.
401 The API key wasn't sent or is invalid
500 An internal error happened. Try again later.